Package tigase.net

## Interface ConnectionOpenListener

-     public interface ConnectionOpenListener

  Describe interface ConnectionOpenListener here.
  Created: Thu Jan 26 00:00:39 2006
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEF_RECEIVE_BUFFER_SIZE` | `RECEIVE_BUFFER_SIZE` defines a size for TCP/IP packets.
    `static int` | `DEF_TRAFFIC_CLASS` |
    `static int` | `IPTOS_LOWCOST` |
    `static int` | `IPTOS_LOWDELAY` |
    `static int` | `IPTOS_RELIABILITY` |
    `static int` | `IPTOS_THROUGHPUT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(java.nio.channels.SocketChannel sc)` |
    `ConnectionType` | `getConnectionType()` |
    `java.lang.String[]` | `getIfcs()` |
    `default long` | `getNewConnectionsThrottling()` |
    `int` | `getPort()` |
    `int` | `getReceiveBufferSize()` |
    `java.net.InetSocketAddress` | `getRemoteAddress()` |
    `java.lang.String` | `getRemoteHostname()` |
    `SocketType` | `getSocketType()` |
    `java.lang.String` | `getSRVType()` |
    `int` | `getTrafficClass()` |
    `default void` | `release()` |

- - ### Field Detail

    - #### DEF_RECEIVE_BUFFER_SIZE

          static final int DEF_RECEIVE_BUFFER_SIZE

      `RECEIVE_BUFFER_SIZE` defines a size for TCP/IP packets. XMPP data packets are quite small usually, below 1kB so we don't need big TCP/IP data buffers.
      See Also:
        Constant Field Values

    - #### IPTOS_LOWCOST

          static final int IPTOS_LOWCOST

      See Also:
        Constant Field Values

    - #### IPTOS_LOWDELAY

          static final int IPTOS_LOWDELAY

      See Also:
        Constant Field Values

    - #### IPTOS_RELIABILITY

          static final int IPTOS_RELIABILITY

      See Also:
        Constant Field Values

    - #### IPTOS_THROUGHPUT

          static final int IPTOS_THROUGHPUT

      See Also:
        Constant Field Values

    - #### DEF_TRAFFIC_CLASS

          static final int DEF_TRAFFIC_CLASS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### accept

          void accept​(java.nio.channels.SocketChannel sc)

    - #### getPort

          int getPort()

    - #### getIfcs

          java.lang.String[] getIfcs()

    - #### getSRVType

          java.lang.String getSRVType()

    - #### getRemoteHostname

          java.lang.String getRemoteHostname()

    - #### getRemoteAddress

          java.net.InetSocketAddress getRemoteAddress()

    - #### getConnectionType

          ConnectionType getConnectionType()

    - #### getSocketType

          SocketType getSocketType()

    - #### getReceiveBufferSize

          int getReceiveBufferSize()

    - #### getTrafficClass

          int getTrafficClass()

    - #### getNewConnectionsThrottling

          default long getNewConnectionsThrottling()

    - #### release

          default void release()